Storyden
Admin

Email Queue List

List durable email queue records for this installation. Shows pending, failed and sent deliveries with attempt history for diagnostics.

GET/admin/email-queue

List durable email queue records for this installation. Shows pending, failed and sent deliveries with attempt history for diagnostics.

Authorization

storyden-session<token>

In: cookie

Query Parameters

page?string

Pagination query parameters.

q?string

Search query string.

Length0 <= length
statuses?array<>

Email queue status filter query

range?string

Email queue time range query

Formatiso8601-interval

Response Body

application/json

application/json

curl -X GET "https://example.com/admin/email-queue"
{  "page_size": 0,  "results": 0,  "total_pages": 0,  "current_page": 0,  "next_page": 0,  "emails": [    {      "id": "string",      "queued_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "processed_at": "2019-08-24T14:15:22Z",      "status": "pending",      "recipient_address": "user@example.com",      "recipient_name": "string",      "subject": "string",      "attempts": [        {          "timestamp": "2019-08-24T14:15:22Z",          "status": "sent",          "error": "string"        }      ]    }  ]}